Debian Bug report logs - #708056
ncurses: FTBFS: test/hanoi.c:234: undefined reference to `pow'

version graph

Package: src:ncurses; Maintainer for src:ncurses is Craig Small <csmall@debian.org>;

Reported by: Thorsten Glaser <tg@mirbsd.de>

Date: Sun, 12 May 2013 19:57:02 UTC

Severity: important

Tags: fixed-upstream

Found in version ncurses/5.9+20130504-1

Fixed in version ncurses/5.9+20130608-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-68k@lists.debian.org, dickey@his.com, Craig Small <csmall@debian.org>:
Bug#708056; Package src:ncurses. (Sun, 12 May 2013 19:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
New Bug report received and forwarded. Copy sent to debian-68k@lists.debian.org, dickey@his.com, Craig Small <csmall@debian.org>. (Sun, 12 May 2013 19:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ncurses: FTBFS: test/hanoi.c:234: undefined reference to `pow'
Date: Sun, 12 May 2013 19:54:31 +0000
[Message part 1 (text/plain, inline)]
Source: ncurses
Version: 5.9+20130504-1
Severity: important
Tags: patch
Justification: fails to build from source (but built successfully in the past)

Hi!

[…]
m68k-linux-gnu-gcc -c -I. -I/tmp/buildd/ncurses-5.9+20130504/test -I../test -DHAVE_CONFIG_H -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -I/tmp/buildd/ncurses-5.9+20130504/obj-wide/include -I/usr/include/ncursesw -D_XPG5 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security  /tmp/buildd/ncurses-5.9+20130504/test/hanoi.c
m68k-linux-gnu-gcc -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security  -o hanoi ../obj-test/hanoi.o -L/tmp/buildd/ncurses-5.9+20130504/obj-wide/lib -Wl,-z,relro -I. -I/tmp/buildd/ncurses-5.9+20130504/test -I../test -DHAVE_CONFIG_H -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -I/tmp/buildd/ncurses-5.9+20130504/obj-wide/include -I/usr/include/ncursesw -D_XPG5 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security  `echo "-lformw -lmenuw -lpanelw -lncursesw -ltinfo  " | sed -e 's/-lform.*-lpanel[^ ]*//'`
.../obj-test/hanoi.o: In function `DisplayTiles':
/tmp/buildd/ncurses-5.9+20130504/test/hanoi.c:234: undefined reference to `pow'
collect2: ld returned 1 exit status
make[1]: *** [hanoi] Error 1
make[1]: Leaving directory `/tmp/buildd/ncurses-5.9+20130504/obj-test'
make: *** [build-test] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2
E: Failed autobuilding of package


I think the problem is here:

[…]
configure:13625: checking if -lm needed for math functions
configure:13647: gcc -o conftest -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64  -DNDEBUG  -Wl,-z,relro conftest.c  -ldl >&5
configure:13650: $? = 0
configure:13653: test -s conftest
configure:13656: $? = 0
configure:13666: result: no
[…]

Which comes from:

[…]
echo "$as_me:13625: checking if -lm needed for math functions" >&5
[…]
main ()
{
double x = rand(); printf("result = %g\n", sin(x))
  ;
  return 0;
}
[…]

Which does not check “enough”. GCC will usually provide sin(3)
as builtin, but not necessarily pow(3).

Sadly, your packaging does not run autoreconf, but I *think*
the attached patch might work. It’ll take another day, at
least, for me to confirm this, as compiling on an Atari, even
a VM, is really slow.

(Not 100% sure on the autoconf magic, but I’m pretty certain
that $2 must be []-escaped as it contains a comma now. Tom
Cc’d, he will probably know, seeing as he forked autoconf
several times.)

-- System Information:
Debian Release: 7.0
  APT prefers unreleased
  APT policy: (500, 'unreleased'), (500, 'unstable')
Architecture: m68k

Kernel: Linux 3.2.0-4-atari
Locale: LANG=C, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/mksh-static
[ncurses_5.9+20130504-1+m68k.1.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#708056; Package src:ncurses. (Mon, 13 May 2013 07:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 13 May 2013 07:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 708056@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 708056@bugs.debian.org
Subject: ncurses: FTBFS: test/hanoi.c:234: undefined reference to `pow'
Date: Mon, 13 May 2013 07:39:15 +0000 (UTC)
Nope, didn’t help:

[…]
configure:13625: checking if -lm needed for math functions
configure:13647: gcc -o conftest -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -DTRACE -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64  -DNDEBUG  -DTRACE  -Wl,-z,relro conftest.c  -ldl >&5
/tmp/cc5P6NnN.o: In function `main':
/tmp/buildd/ncurses-5.9+20130504/obj-debug/configure:13640: undefined reference to `pow'
collect2: ld returned 1 exit status
configure:13650: $? = 1
configure: failed program was:
#line 13632 "configure"
#include "confdefs.h"

        #include <stdio.h>
        #include <math.h>

int
main ()
{
double x = rand(); printf("result = %g\n", pow(sin(x),x))
  ;
  return 0;
}
configure:13666: result: yes
[…]
m68k-linux-gnu-gcc -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security  -o hanoi ../obj-test/hanoi.o -L/tmp/buildd/ncurses-5.9+20130504/obj-wide/lib -Wl,-z,relro -I. -I/tmp/buildd/ncurses-5.9+20130504/test -I../test -DHAVE_CONFIG_H -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -I/tmp/buildd/ncurses-5.9+20130504/obj-wide/include -I/usr/include/ncursesw -D_XPG5 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security  `echo "-lformw -lmenuw -lpanelw -lncursesw -ltinfo  " | sed -e 's/-lform.*-lpanel[^ ]*//'`
../obj-test/hanoi.o: In function `DisplayTiles':
/tmp/buildd/ncurses-5.9+20130504/test/hanoi.c:234: undefined reference to `pow'
collect2: ld returned 1 exit status
make[1]: *** [hanoi] Error 1

Oh, wait…

obj-test/config.log has:

configure:2580: checking if -lm needed for math functions
configure:2602: m68k-linux-gnu-gcc -o conftest -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -Wl,-z,relro conftest.c  >&5
configure:2605: $? = 0
configure:2608: test -s conftest
configure:2611: $? = 0
configure:2621: result: no

So is this a separate file?

Someone will have to look at this in detail. I’m at work now ☹

bye,
//mirabilos
-- 
  "Using Lynx is like wearing a really good pair of shades: cuts out
   the glare and harmful UV (ultra-vanity), and you feel so-o-o COOL."
                                         -- Henry Nelson, March 1999



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#708056; Package src:ncurses. (Mon, 13 May 2013 08:39:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 13 May 2013 08:39:19 GMT) Full text and rfc822 format available.

Message #15 received at 708056@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: 708056@bugs.debian.org
Subject: Re: Bug#708056: ncurses: FTBFS: test/hanoi.c:234: undefined reference to `pow'
Date: Mon, 13 May 2013 10:38:30 +0200
Am 12.05.2013 um 21:54 schrieb Thorsten Glaser:

> I think the problem is here:
>
> […]
> configure:13625: checking if -lm needed for math functions
> configure:13647: gcc -o conftest -g -O2 -fstack-protector
> --param=ssp-buffer-size=4 -Wformat -Werror=format-security
> -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DNDEBUG
> -Wl,-z,relro conftest.c -ldl >&5
> configure:13650: $? = 0
> configure:13653: test -s conftest
> configure:13656: $? = 0
> configure:13666: result: no
> […]
>
> Which comes from:
>
> […]
> echo "$as_me:13625: checking if -lm needed for math functions" >&5
> […]
> main ()
> {
> double x = rand(); printf("result = %g\n", sin(x))
>   ;
>   return 0;
> }
> […]
>
> Which does not check “enough”. GCC will usually provide sin(3)
> as builtin, but not necessarily pow(3).

According to the GCC online documentation[1], both sin() and pow() are
builtins.  However, this does not spare you from having to link with -lm
if you use sin() -- at least on all other Debian architectures than m68k
the result of the test above is "yes".  Do you have an idea why this is
different on your pet architecture?

> Sadly, your packaging does not run autoreconf, but I *think*
> the attached patch might work.

The test programs have their own configure script which is run instead
of the one in the main directory[2], so you need to patch
test/configure.in.  Then it will probably work.

Cheers,
       Sven


1. http://gcc.gnu.org/onlinedocs/gcc/Other-Builtins.html
2. See http://bugs.debian.org/34182 for details.



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#708056; Package src:ncurses. (Mon, 13 May 2013 09:30:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 13 May 2013 09:30:15 GMT) Full text and rfc822 format available.

Message #20 received at 708056@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 708056@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#708056: ncurses: FTBFS: test/hanoi.c:234: undefined reference to `pow'
Date: Mon, 13 May 2013 11:26:26 +0200
On 2013-05-13 10:38 +0200, Sven Joachim wrote:

> Am 12.05.2013 um 21:54 schrieb Thorsten Glaser:
>
>> Which does not check “enough”. GCC will usually provide sin(3)
>> as builtin, but not necessarily pow(3).

Foe some value of "usually" which is apparently different on m68k than
on other architectures.

> According to the GCC online documentation[1], both sin() and pow() are
> builtins.

It also states "Many of these functions are only optimized in certain
cases; if they are not optimized in a particular case, a call to the
library function is emitted."

> However, this does not spare you from having to link with -lm
> if you use sin() -- at least on all other Debian architectures than m68k
> the result of the test above is "yes".  Do you have an idea why this is
> different on your pet architecture?

Apparently the builtin sin() is always used on m68k with -O2 then, while
on other arches GCC calls the library function.  Seems it had been
different one year ago when ncurses was last built, or maybe the builtin
pow() was also used back then - sadly there aren't any build logs. :-(

> The test programs have their own configure script which is run instead
> of the one in the main directory[2], so you need to patch
> test/configure.in.  Then it will probably work.

I wonder whether it wouldn't be best to do away with the CF_MATH_LIB
test and always link with -lm.

Cheers,
       Sven



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#708056; Package src:ncurses. (Mon, 13 May 2013 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 13 May 2013 10:57:04 GMT) Full text and rfc822 format available.

Message #25 received at 708056@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 708056@bugs.debian.org
Cc: Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#708056: ncurses: FTBFS: test/hanoi.c:234: undefined reference to `pow'
Date: Mon, 13 May 2013 06:56:08 -0400
[Message part 1 (text/plain, inline)]
On Mon, May 13, 2013 at 11:26:26AM +0200, Sven Joachim wrote:
> I wonder whether it wouldn't be best to do away with the CF_MATH_LIB
> test and always link with -lm.

It would be simpler, but people tend to complain about unneeded libraries

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#708056; Package src:ncurses. (Mon, 13 May 2013 12:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 13 May 2013 12:39:08 GMT) Full text and rfc822 format available.

Message #30 received at 708056@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 708056@bugs.debian.org
Subject: Re: Bug#708056: ncurses: FTBFS: test/hanoi.c:234: undefined reference to `pow'
Date: Mon, 13 May 2013 12:30:18 +0000 (UTC)
Sven Joachim dixit:

>Apparently the builtin sin() is always used on m68k with -O2 then, while
>on other arches GCC calls the library function.  Seems it had been
>different one year ago when ncurses was last built, or maybe the builtin
>pow() was also used back then - sadly there aren't any build logs. :-(

Yeah, when I build manually with cowbuilder I do get logs but cannot
upload them (I did ask for permission and instructions to do so,
repeatedly, to no avail; I think I could, by now, craft eMails that
are accepted by it as the whole buildd machinery is working now, but
I don’t want Aurélien to get angry at me for doing that when not
allowed).

>> The test programs have their own configure script which is run instead
>> of the one in the main directory[2], so you need to patch
>> test/configure.in.  Then it will probably work.

Probably, yes.

>I wonder whether it wouldn't be best to do away with the CF_MATH_LIB
>test and always link with -lm.

That might also make sense, probably with --as-needed…

bye,
//mirabilos
-- 
Sorry,  I’m annoyed today and you came by as an Arch user. These are the
perfect victims for any crime against humanity, like  systemd,  feminism
or social democracy.
		-- Christoph Lohmann on dev@suckless.org



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#708056; Package src:ncurses. (Mon, 13 May 2013 16:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 13 May 2013 16:51:09 GMT) Full text and rfc822 format available.

Message #35 received at 708056@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 708056@bugs.debian.org
Subject: Re: Bug#708056: ncurses: FTBFS: test/hanoi.c:234: undefined reference to `pow'
Date: Mon, 13 May 2013 16:48:16 +0000 (UTC)
Sven Joachim dixit:

>if you use sin() -- at least on all other Debian architectures than m68k
>the result of the test above is "yes".  Do you have an idea why this is
>different on your pet architecture?

Hrm. It’s not “my” pet architecture, I just jumped in…
it didn’t complete the eglibc transition yet, is the
one thing that springs to mind, but if the answer is
yes on other platforms… probably GCC is the culprit ☺

bye,
//mirabilos
-- 
In traditional syntax ' is ignored, but in c99 everything between two ' is
handled as character constant.  Therefore you cannot use ' in a preproces-
sing file in c99 mode.	-- Ragge
No faith left in ISO C99, undefined behaviour, etc.



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#708056; Package src:ncurses. (Mon, 13 May 2013 17:09:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 13 May 2013 17:09:18 GMT) Full text and rfc822 format available.

Message #40 received at 708056@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 708056@bugs.debian.org
Cc: Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#708056: ncurses: FTBFS: test/hanoi.c:234: undefined reference to `pow'
Date: Mon, 13 May 2013 19:05:30 +0200
On 2013-05-13 11:26 +0200, Sven Joachim wrote:

> Apparently the builtin sin() is always used on m68k with -O2 then, while
> on other arches GCC calls the library function.  Seems it had been
> different one year ago when ncurses was last built, or maybe the builtin
> pow() was also used back then - sadly there aren't any build logs. :-(

Actually, it's ncurses which has changed.  In the 20121208 patchlevel,
pow() was added to test/hanoi.c.  The 5.9-10 version of hanoi is not
linked with libm on m68k.

Cheers,
       Sven



Added tag(s) fixed-upstream; removed tag(s) patch. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 30 May 2013 21:03:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 09 Jun 2013 07:21:04 GMT) Full text and rfc822 format available.

Message sent on to Thorsten Glaser <tg@mirbsd.de>:
Bug#708056. (Sun, 09 Jun 2013 07:21:12 GMT) Full text and rfc822 format available.

Message #47 received at 708056-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 708056-submitter@bugs.debian.org
Subject: Bug#708056 marked as pending
Date: Sun, 09 Jun 2013 07:15:51 +0000
tag 708056 pending
thanks

Hello,

Bug #708056 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=44131a7

---
commit 44131a7ef71d8996c194d6e55ff799d0742641cd
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sun Jun 9 09:11:19 2013 +0200

    Close bug #708056
    
    The relevant change was made in the 20130518 upstream patchlevel.

diff --git a/debian/changelog b/debian/changelog
index 186d12b..9914135 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,8 @@
 ncurses (5.9+20130608-1) UNRELEASED; urgency=low
 
   * New upstream patchlevel.
+    - Add pow() to configure-check for math library, needed for
+      test/hanoi (Closes: #708056).
   * Add Breaks against dialog (<< 1.2-20130523) to libtinfo5, since
     older dialog versions misbehave (Closes: #709325).
   * Switch Vcs-* fields to anonscm.debian.org.



Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Mon, 10 Jun 2013 18:51:13 GMT) Full text and rfc822 format available.

Notification sent to Thorsten Glaser <tg@mirbsd.de>:
Bug acknowledged by developer. (Mon, 10 Jun 2013 18:51:13 GMT) Full text and rfc822 format available.

Message #52 received at 708056-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 708056-close@bugs.debian.org
Subject: Bug#708056: fixed in ncurses 5.9+20130608-1
Date: Mon, 10 Jun 2013 18:48:28 +0000
Source: ncurses
Source-Version: 5.9+20130608-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708056@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 10 Jun 2013 20:18:59 +0200
Source: ncurses
Binary: libtinfo5 libncurses5 libtinfo-dev libtinfo5-dbg libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev lib64tinfo5 lib32tinfo5 lib32tinfo-dev ncurses-bin ncurses-base ncurses-term ncurses-examples ncurses-doc
Architecture: all source
Version: 5.9+20130608-1
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Closes: 708056 709325 711134
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib32tinfo-dev - developer's library for the low-level terminfo library (32-bit)
 lib32tinfo5 - shared low-level terminfo library for terminal handling (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 lib64tinfo5 - shared low-level terminfo library for terminal handling (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncursesw
 libncursesw5-dev - developer's libraries for ncursesw
 libtinfo-dev - developer's library for the low-level terminfo library
 libtinfo5  - shared low-level terminfo library for terminal handling
 libtinfo5-dbg - debugging/profiling library for the low-level terminfo library
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-doc - developer's guide and documentation for ncurses
 ncurses-examples - test programs and examples for ncurses
 ncurses-term - additional terminal type definitions
Changes: 
 ncurses (5.9+20130608-1) unstable; urgency=low
 .
   * New upstream patchlevel.
     - Add pow() to configure-check for math library, needed for
       test/hanoi (Closes: #708056).
     - Fix regression in error-reporting in lib_setup.c (Closes: #711134).
   * Add Breaks against dialog (<< 1.2-20130523) to libtinfo5, since
     older dialog versions misbehave (Closes: #709325).
   * Move detached debugging symbols for libtinfo5 to libtinfo5-dbg.
   * Switch Vcs-* fields to anonscm.debian.org.
   * Upgrade Standards-Version to 3.9.4, no changes needed.
Checksums-Sha1: 
 8da1140492593c9c1174ae6b3f82744f3293a650 216608 ncurses-base_5.9+20130608-1_all.deb
 d9c3a2598304dd5bdc3c5af39c57e5efba3ea41b 622508 ncurses-term_5.9+20130608-1_all.deb
 8f59a4673dd5373f20c5b2d725b0d1582a46a16b 1043408 ncurses-doc_5.9+20130608-1_all.deb
 b31d9e1f9b394424863ceb4ef1184895e4be9076 3154 ncurses_5.9+20130608-1.dsc
 86f645e8ff1170d81398dd5c31f9901cc62da751 2927426 ncurses_5.9+20130608.orig.tar.gz
 28f35336d06b3ae0349ffdb03991f6889cd27004 61369 ncurses_5.9+20130608-1.debian.tar.gz
Checksums-Sha256: 
 5dba89066e77e9912c2cb3b0379d9e62025ee99abd74005cbe45a9769f4a2713 216608 ncurses-base_5.9+20130608-1_all.deb
 8329e269ef3f8fb305312338cda666c214b602dd6405be6fc48070ffc21c47b5 622508 ncurses-term_5.9+20130608-1_all.deb
 321606bb5d9e04be0a6202b361730b81773c6155233c1123cc96c1c0bef8ce82 1043408 ncurses-doc_5.9+20130608-1_all.deb
 5ad1e2fc1a81d8eeae8c73e740be7ea0f46806fcd7e542a8d587a268b969fe34 3154 ncurses_5.9+20130608-1.dsc
 10c9dc1ec38116269bfe018f4763e539dec6cd23a00787a37fa60531b2afdd3f 2927426 ncurses_5.9+20130608.orig.tar.gz
 0c6f55d0874fefdd528826c82ec00c5e4d80e5f69bb63f846c623ebac2bcd6e8 61369 ncurses_5.9+20130608-1.debian.tar.gz
Files: 
 77b0b840e6b698ca266ecf2d0a7ad6c5 216608 misc required ncurses-base_5.9+20130608-1_all.deb
 e68267179365cdc3c5e6838a92caa82d 622508 misc standard ncurses-term_5.9+20130608-1_all.deb
 15c23039e271449ddf9f8f541aa6f429 1043408 doc optional ncurses-doc_5.9+20130608-1_all.deb
 d311f4d871bdc24eeabd82e46d471281 3154 libs required ncurses_5.9+20130608-1.dsc
 5ea4793446f08982f478009b71f7d717 2927426 libs required ncurses_5.9+20130608.orig.tar.gz
 82e4b5e06616a7257a53d2ff388be0c2 61369 libs required ncurses_5.9+20130608-1.debian.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRthuCAAoJEDsQbnGNazGsungQAN8h7zcHbim+1SfbMRJUp3Iz
V1Hj/nK4Xp2O4GQ00nIVlGPsKL2xxgib2xbVg2FzTnhf0CLTk3xFXKjGRBnRa97e
56Yh7JiKjJAMMwNlMXXbZCo150+Id5OCU/0xmLU0hjH3ysrqi1gBmPnv39/jwfWo
xJp9UptNtBUq5+6Xkm99C090msvFp/TjKELkdxYJrRdKIByGbDdFwj91S8t4p0sf
ViHUVCSCtedvDzbyjZ4wx98OCz2G7hQaMdZXIkPRderFm8eZFKCSNZrStP0HVOAD
j/mkBFh0rAYhcXA8H0TYagzp3zvNAOaZWpGrcjOv6610+hu4u6BUisOrDbPODh6X
/K3Cac9PLwnBmLlNIVJfsNZzkPZ+MgVxIQESeu/GMsUpRp0ccHd5FKGb5X/XPcxw
ZpcBBxtcZ7nB4Eeb1phIVBsFYZxDP7YT6v7mwt6eBHhsCL56Yt4ZOBq+oHES5Dxl
Y4YZn7kK9DUnC6y8Wq5UXllH/CN8ixaMPAROo5ez73rPDfKFyK/lbu+1/604bxjG
esTgQeQ2lwoGywl970icx+jma481NIU9vRHg7D1m2FgAIgmX4hkoVc+5jdux3SSa
s7Dh0NGVUYItZ0Dyx5XsonAPquA1a4vtGJppmtYff4L0Be7iYd6Nnw4PBoQcEc6f
e7ML3hvryI4wXZ52Yk2/
=V87i
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Jul 2013 07:29:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:30:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.